<?php
	require_once '../../autoload.php';
	require( '../GetDataFromDB.php' );

	RightsCheck ("VIEW_DEVICE");


	$toProcess = true;
	
	$draw			= $_GET ['draw'];
	$start			= $_GET ['start'];
	$length			= $_GET ['length'];
	
	$columns 		= $_GET ['columns'];
	$order			= $_GET ['order'];
	$orderCol		= $order [0]['column'];
	$orderDir		= $order [0]['dir'];
	$orderColName	= $columns [$orderCol]['data'];
	$orderby		= " ORDER BY ".$orderColName." ".$orderDir;
        
	$limit = '';

	if ( isset($_GET['start']) && $_GET['length'] != -1 ) 
	{
		$limit = " OFFSET ".intval($_GET['start'])." LIMIT ".intval($_GET['length']);
	}

	$whereclause='';
  
  	if(isset($_GET['deviceid']))
  {
     $whereclause = "and device_id = {$_GET['deviceid']}";
  }else {
    $whereclause = "and device_id = -1";
  }

	$psql = "select device_installation.device_id as device_id, device_installation.id as id, v_fullinfo_department.fullname as department, device_installation.dep_id as dep_id,to_char(installdate,'YYYYMMDD') as installdate,to_char(removeddate,'YYYYMMDD') as removeddate, installedby,comment,inchargeof from device_installation,v_fullinfo_department
  	where v_fullinfo_department.dep_id = device_installation.dep_id and device_installation.removed = false {$whereclause}";


	$recordsTotal 		= 1000;
	$recordsFiltered	= 0;
	
	$data				= Array ();
	
	if ( $toProcess == true )
		$data = GetDataFromDB ( $psql, $recordsFiltered, $limit, $orderby );
	
	$arr = array (
			"draw"            => intval( $draw ),
			"recordsTotal"    => intval( $recordsTotal ),
			"recordsFiltered" => intval( $recordsFiltered ),
			"data"            => $data,
			"sql"			  => $psql.$orderby.$limit
	);

	$result = json_encode ( $arr );

	echo $result;
	
 
?>